package com.atlassian.confluence.extra.workflow;


/**
 * Created by IntelliJ IDEA.
 * User: Tomd
 * Date: 13/05/2005
 * Time: 12:46:34
 * To change this template use File | Settings | File Templates.
 */
public abstract class TagAction extends BaseAction
{
    private final String tag;

    public TagAction(String tag)
    {
        this.tag = tag.trim();
    }

    public TagAction()
    {
        tag = null;
    }

    public boolean isConfigError()
    {
        return tag == null || tag.length() == 0;
    }
    protected String getTag()
    {
        return tag;
    }
}
